io.undertow.client

## Class UndertowClient

- java.lang.Object
- - io.undertow.client.UndertowClient

    public final class UndertowClient
    extends Object

Undertow client class. This class loads `ClientProvider` implementations, and uses them to create connections to a target.

Author:
  Stuart Douglas

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `connect(ClientCallback<ClientConnection> listener, InetSocketAddress bindAddress, URI uri, org.xnio.XnioIoThread ioThread, ByteBufferPool bufferPool, org.xnio.OptionMap options)`
`void` `connect(ClientCallback<ClientConnection> listener, InetSocketAddress bindAddress, URI uri, org.xnio.XnioIoThread ioThread, org.xnio.ssl.XnioSsl ssl, ByteBufferPool bufferPool, org.xnio.OptionMap options)`
`void` `connect(ClientCallback<ClientConnection> listener, InetSocketAddress bindAddress, URI uri, org.xnio.XnioWorker worker, ByteBufferPool bufferPool, org.xnio.OptionMap options)`
`void` `connect(ClientCallback<ClientConnection> listener, InetSocketAddress bindAddress, URI uri, org.xnio.XnioWorker worker, org.xnio.ssl.XnioSsl ssl, ByteBufferPool bufferPool, org.xnio.OptionMap options)`
`void` `connect(ClientCallback<ClientConnection> listener, URI uri, org.xnio.XnioIoThread ioThread, ByteBufferPool bufferPool, org.xnio.OptionMap options)`
`void` `connect(ClientCallback<ClientConnection> listener, URI uri, org.xnio.XnioIoThread ioThread, org.xnio.ssl.XnioSsl ssl, ByteBufferPool bufferPool, org.xnio.OptionMap options)`
`void` `connect(ClientCallback<ClientConnection> listener, URI uri, org.xnio.XnioWorker worker, ByteBufferPool bufferPool, org.xnio.OptionMap options)`
`void` `connect(ClientCallback<ClientConnection> listener, URI uri, org.xnio.XnioWorker worker, org.xnio.ssl.XnioSsl ssl, ByteBufferPool bufferPool, org.xnio.OptionMap options)`
`org.xnio.IoFuture<ClientConnection>` `connect(InetSocketAddress bindAddress, URI uri, org.xnio.XnioIoThread ioThread, ByteBufferPool bufferPool, org.xnio.OptionMap options)`
`org.xnio.IoFuture<ClientConnection>` `connect(InetSocketAddress bindAddress, URI uri, org.xnio.XnioIoThread ioThread, org.xnio.ssl.XnioSsl ssl, ByteBufferPool bufferPool, org.xnio.OptionMap options)`
`org.xnio.IoFuture<ClientConnection>` `connect(InetSocketAddress bindAddress, URI uri, org.xnio.XnioWorker worker, ByteBufferPool bufferPool, org.xnio.OptionMap options)`
`org.xnio.IoFuture<ClientConnection>` `connect(InetSocketAddress bindAddress, URI uri, org.xnio.XnioWorker worker, org.xnio.ssl.XnioSsl ssl, ByteBufferPool bufferPool, org.xnio.OptionMap options)`
`org.xnio.IoFuture<ClientConnection>` `connect(URI uri, org.xnio.XnioIoThread ioThread, ByteBufferPool bufferPool, org.xnio.OptionMap options)`
`org.xnio.IoFuture<ClientConnection>` `connect(URI uri, org.xnio.XnioIoThread ioThread, org.xnio.ssl.XnioSsl ssl, ByteBufferPool bufferPool, org.xnio.OptionMap options)`
`org.xnio.IoFuture<ClientConnection>` `connect(URI uri, org.xnio.XnioWorker worker, ByteBufferPool bufferPool, org.xnio.OptionMap options)`
`org.xnio.IoFuture<ClientConnection>` `connect(URI uri, org.xnio.XnioWorker worker, org.xnio.ssl.XnioSsl ssl, ByteBufferPool bufferPool, org.xnio.OptionMap options)`
`static UndertowClient` `getInstance()`
`static UndertowClient` `getInstance(ClassLoader classLoader)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### connect

    public org.xnio.IoFuture<ClientConnection> connect(URI uri,
                                                       org.xnio.XnioWorker worker,
                                                       ByteBufferPool bufferPool,
                                                       org.xnio.OptionMap options)

#### connect

    public org.xnio.IoFuture<ClientConnection> connect(InetSocketAddress bindAddress,
                                                       URI uri,
                                                       org.xnio.XnioWorker worker,
                                                       ByteBufferPool bufferPool,
                                                       org.xnio.OptionMap options)

#### connect

    public org.xnio.IoFuture<ClientConnection> connect(URI uri,
                                                       org.xnio.XnioWorker worker,
                                                       org.xnio.ssl.XnioSsl ssl,
                                                       ByteBufferPool bufferPool,
                                                       org.xnio.OptionMap options)

#### connect

    public org.xnio.IoFuture<ClientConnection> connect(InetSocketAddress bindAddress,
                                                       URI uri,
                                                       org.xnio.XnioWorker worker,
                                                       org.xnio.ssl.XnioSsl ssl,
                                                       ByteBufferPool bufferPool,
                                                       org.xnio.OptionMap options)

#### connect

    public org.xnio.IoFuture<ClientConnection> connect(URI uri,
                                                       org.xnio.XnioIoThread ioThread,
                                                       ByteBufferPool bufferPool,
                                                       org.xnio.OptionMap options)

#### connect

    public org.xnio.IoFuture<ClientConnection> connect(InetSocketAddress bindAddress,
                                                       URI uri,
                                                       org.xnio.XnioIoThread ioThread,
                                                       ByteBufferPool bufferPool,
                                                       org.xnio.OptionMap options)

#### connect

    public org.xnio.IoFuture<ClientConnection> connect(URI uri,
                                                       org.xnio.XnioIoThread ioThread,
                                                       org.xnio.ssl.XnioSsl ssl,
                                                       ByteBufferPool bufferPool,
                                                       org.xnio.OptionMap options)

#### connect

    public org.xnio.IoFuture<ClientConnection> connect(InetSocketAddress bindAddress,
                                                       URI uri,
                                                       org.xnio.XnioIoThread ioThread,
                                                       org.xnio.ssl.XnioSsl ssl,
                                                       ByteBufferPool bufferPool,
                                                       org.xnio.OptionMap options)

#### connect

    public void connect(ClientCallback<ClientConnection> listener,
                        URI uri,
                        org.xnio.XnioWorker worker,
                        ByteBufferPool bufferPool,
                        org.xnio.OptionMap options)

#### connect

    public void connect(ClientCallback<ClientConnection> listener,
                        InetSocketAddress bindAddress,
                        URI uri,
                        org.xnio.XnioWorker worker,
                        ByteBufferPool bufferPool,
                        org.xnio.OptionMap options)

#### connect

    public void connect(ClientCallback<ClientConnection> listener,
                        URI uri,
                        org.xnio.XnioWorker worker,
                        org.xnio.ssl.XnioSsl ssl,
                        ByteBufferPool bufferPool,
                        org.xnio.OptionMap options)

#### connect

    public void connect(ClientCallback<ClientConnection> listener,
                        InetSocketAddress bindAddress,
                        URI uri,
                        org.xnio.XnioWorker worker,
                        org.xnio.ssl.XnioSsl ssl,
                        ByteBufferPool bufferPool,
                        org.xnio.OptionMap options)

#### connect

    public void connect(ClientCallback<ClientConnection> listener,
                        URI uri,
                        org.xnio.XnioIoThread ioThread,
                        ByteBufferPool bufferPool,
                        org.xnio.OptionMap options)

#### connect

    public void connect(ClientCallback<ClientConnection> listener,
                        InetSocketAddress bindAddress,
                        URI uri,
                        org.xnio.XnioIoThread ioThread,
                        ByteBufferPool bufferPool,
                        org.xnio.OptionMap options)

#### connect

    public void connect(ClientCallback<ClientConnection> listener,
                        URI uri,
                        org.xnio.XnioIoThread ioThread,
                        org.xnio.ssl.XnioSsl ssl,
                        ByteBufferPool bufferPool,
                        org.xnio.OptionMap options)

#### connect

    public void connect(ClientCallback<ClientConnection> listener,
                        InetSocketAddress bindAddress,
                        URI uri,
                        org.xnio.XnioIoThread ioThread,
                        org.xnio.ssl.XnioSsl ssl,
                        ByteBufferPool bufferPool,
                        org.xnio.OptionMap options)

#### getInstance

    public static UndertowClient getInstance()

#### getInstance

    public static UndertowClient getInstance(ClassLoader classLoader)